#include "cpswhalstddef.h"

size_t cpswHalUtlstrlen(const char *s);                     
char *cpswHalUtlstrcpy(char *s1, const char *s2);
char *cpswHalUtlstrchr(const char *s, int c);
int cpswHalUtlstrcmp(const char	*s1,const char	*s2);
void *cpswHalUtlmemset(void *s, int c, size_t n);
void cpswHalUtlcatdnum(char *s,int num);
char *cpswHalUtlstrcat(char *s1, const char *s2);
unsigned long cpswHalUtlstrtoul(const char *str, char **endptr, int base);
bit32u cpswHalUtlMemBasicDataTest(bit32u base);
bit32u cpswHalUtlMemAddressTest(bit32u base,bit32u size);
bit32u cpswHalUtlMemDataTest(bit32u base,bit32u size,int verbose);

void cpswHalUtlUnReset(bit32u ResetBase,bit32u ResetBit);
void cpswHalUtlReset(bit32u ResetBase,bit32u ResetBit);
void cpswHalUtlClockWait(bit32u resetbase,unsigned int et);

